Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util.introspection
Class UberspectImpl.VelSetterImpl

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.introspection.UberspectImpl.VelSetterImpl

All Implemented Interfaces:
  VelPropertySet

Enclosing class:
  UberspectImpl

public class UberspectImpl.VelSetterImpl
extends Object
implements VelPropertySet

{@inheritDoc}

Field Summary
`protected String` | `putKey` the key for indexed and other properties.
`protected VelMethod` | `vm` the method to call.

Constructor Summary
`UberspectImpl.VelSetterImpl(VelMethod velmethod)` Create an instance.
`UberspectImpl.VelSetterImpl(VelMethod velmethod, String key)` Create an instance.

Method Summary
`String` | `getMethodName()` {@inheritDoc}
`Object` | `invoke(Object o, Object value)` {@inheritDoc}
`boolean` | `isCacheable()` {@inheritDoc}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vm

    protected VelMethod vm

  the method to call.

### putKey

    protected String putKey

  the key for indexed and other properties.

Constructor Detail

### UberspectImpl.VelSetterImpl

    public UberspectImpl.VelSetterImpl(VelMethod velmethod)

  Create an instance.
  Parameters:
    `velmethod` - the method to call on set.

### UberspectImpl.VelSetterImpl

    public UberspectImpl.VelSetterImpl(VelMethod velmethod,
                                       String key)

  Create an instance.
  Parameters:
    `velmethod` - the method to call on set.
    `key` - the index or other value passed to a setProperty(xxx, value) method.

Method Detail

### invoke

    public Object invoke(Object o,
                         Object value)
                  throws Exception

  {@inheritDoc}
  Specified by:
    `invoke` in interface `VelPropertySet`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelPropertySet`
  Parameters:
    `o` - Object on which the method will be called with the arg
    `arg` - value to be set
  Returns:
    the value returned from the set operation (impl specific)
  Throws:
    `Exception` - on any error.

### isCacheable

    public boolean isCacheable()

  {@inheritDoc}
  Specified by:
    `isCacheable` in interface `VelPropertySet`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelPropertySet`
  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public String getMethodName()

  {@inheritDoc}
  Specified by:
    `getMethodName` in interface `VelPropertySet`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelPropertySet`
  Returns:
    the method name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.